summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroot <root@lri11-52.lri.fr>2008-02-29 16:11:02 +0100
committerroot <root@lri11-52.lri.fr>2008-02-29 16:11:02 +0100
commit3115c962f976d4ac5efb6c4fa352664f8e65776c (patch)
tree670564e58c5fd558773ee9c42d6218ebf68068e0
parentdev-util/anjuta: bump to 2.3.4 (diff)
downloadremi-3115c962f976d4ac5efb6c4fa352664f8e65776c.tar.gz
remi-3115c962f976d4ac5efb6c4fa352664f8e65776c.tar.bz2
remi-3115c962f976d4ac5efb6c4fa352664f8e65776c.zip
sync eclasses with gnome overlay
-rw-r--r--eclass/gnome2-utils.eclass50
-rw-r--r--eclass/gnome2.eclass15
2 files changed, 31 insertions, 34 deletions
diff --git a/eclass/gnome2-utils.eclass b/eclass/gnome2-utils.eclass
index ad3f537..a0de44e 100644
--- a/eclass/gnome2-utils.eclass
+++ b/eclass/gnome2-utils.eclass
@@ -14,13 +14,13 @@
# Path to gconftool-2
-GCONFTOOL_BIN=${GCONFTOOL_BIN:="${ROOT}usr/bin/gconftool-2"}
+: ${GCONFTOOL_BIN:="${ROOT}usr/bin/gconftool-2"}
# Directory where scrollkeeper-update should do its work
-SCROLLKEEPER_DIR=${SCROLLKEEPER_DIR:="${ROOT}var/lib/scrollkeeper"}
+: ${SCROLLKEEPER_DIR:="${ROOT}var/lib/scrollkeeper"}
# Path to scrollkeeper-update
-SCROLLKEEPER_UPDATE_BIN=${SCROLLKEEPER_UPDATE_BIN:="${ROOT}usr/bin/scrollkeeper-update"}
+: ${SCROLLKEEPER_UPDATE_BIN:="${ROOT}usr/bin/scrollkeeper-update"}
@@ -32,9 +32,7 @@ DEPEND=">=sys-apps/sed-4"
# in the GNOME2_ECLASS_SCHEMAS environment variable
gnome2_gconf_savelist() {
pushd "${D}" &> /dev/null
- export GNOME2_ECLASS_SCHEMAS=`find etc/gconf/schemas/ -name '*.schemas'`
- #echo "preinst: D=\"${D}\""
- #echo "preinst: GNOME2_ECLASS_SCHEMAS=\"${GNOME2_ECLASS_SCHEMAS}\""
+ export GNOME2_ECLASS_SCHEMAS=$(find 'etc/gconf/schemas/' -name '*.schemas')
popd &> /dev/null
}
@@ -42,27 +40,27 @@ gnome2_gconf_savelist() {
# Applies any schema files installed by the current ebuild to Gconf's database
# using gconftool-2
gnome2_gconf_install() {
- if [[ ! -x ${GCONFTOOL_BIN} ]]; then
+ local F
+
+ if [[ ! -x "${GCONFTOOL_BIN}" ]]; then
return
fi
- if [[ -z ${GNOME2_ECLASS_SCHEMAS} ]]; then
+ if [[ -z "${GNOME2_ECLASS_SCHEMAS}" ]]; then
einfo "No GNOME 2 GConf schemas found"
return
fi
# We are ready to install the GCONF Scheme now
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
- export GCONF_CONFIG_SOURCE=$(${GCONFTOOL_BIN} --get-default-source)
+ export GCONF_CONFIG_SOURCE="$("${GCONFTOOL_BIN}" --get-default-source)"
einfo "Installing GNOME 2 GConf schemas"
- local F
-
for F in ${GNOME2_ECLASS_SCHEMAS}; do
if [[ -e "${ROOT}${F}" ]]; then
# echo "DEBUG::gconf install ${F}"
- ${GCONFTOOL_BIN} --makefile-install-rule ${ROOT}${F} 1>/dev/null
+ "${GCONFTOOL_BIN}" --makefile-install-rule "${ROOT}${F}" 1>/dev/null
fi
done
@@ -79,26 +77,26 @@ gnome2_gconf_install() {
# Removes schema files previously installed by the current ebuild from Gconf's
# database.
gnome2_gconf_uninstall() {
- if [[ ! -x ${GCONFTOOL_BIN} ]]; then
+ local F
+
+ if [[ ! -x "${GCONFTOOL_BIN}" ]]; then
return
fi
- if [[ -z ${GNOME2_ECLASS_SCHEMAS} ]]; then
+ if [[ -z "${GNOME2_ECLASS_SCHEMAS}" ]]; then
einfo "No GNOME 2 GConf schemas found"
return
fi
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
- export GCONF_CONFIG_SOURCE=$(${GCONFTOOL_BIN} --get-default-source)
+ export GCONF_CONFIG_SOURCE=$("${GCONFTOOL_BIN}" --get-default-source)
einfo "Uninstalling GNOME 2 GConf schemas"
- local F
-
for F in ${GNOME2_ECLASS_SCHEMAS}; do
if [[ -e "${ROOT}${F}" ]]; then
# echo "DEBUG::gconf uninstall ${F}"
- ${GCONFTOOL_BIN} --makefile-uninstall-rule ${ROOT}${F} 1>/dev/null
+ "${GCONFTOOL_BIN}" --makefile-uninstall-rule "${ROOT}${F}" 1>/dev/null
fi
done
@@ -115,11 +113,10 @@ gnome2_gconf_uninstall() {
# Updates Gtk+ icon cache files under /usr/share/icons if the current ebuild
# have installed anything under that location.
gnome2_icon_cache_update() {
- local updater=$(type -p gtk-update-icon-cache 2> /dev/null)
+ local updater="$(type -p gtk-update-icon-cache 2> /dev/null)"
- if [[ ! -x ${updater} ]] ; then
+ if [[ ! -x "${updater}" ]] ; then
debug-print "${updater} is not executable"
-
return
fi
@@ -128,12 +125,12 @@ gnome2_icon_cache_update() {
local retval=0
local fails=( )
- for dir in $(find ${ROOT}/usr/share/icons -maxdepth 1 -mindepth 1 -type d)
+ for dir in $(find "${ROOT}/usr/share/icons" -maxdepth 1 -mindepth 1 -type d)
do
if [[ -f "${dir}/index.theme" ]] ; then
local rv=0
- ${updater} -qf ${dir}
+ "${updater}" -qf "${dir}"
rv=$?
if [[ ! $rv -eq 0 ]] ; then
@@ -187,7 +184,7 @@ gnome2_omf_fix() {
for omf in ${omf_makefiles} ; do
local rv=0
- sed -i -e 's:scrollkeeper-update:true:' ${omf}
+ sed -i -e 's:scrollkeeper-update:true:' "${omf}"
retval=$?
if [[ ! $rv -eq 0 ]] ; then
@@ -218,9 +215,8 @@ gnome2_omf_fix() {
# Updates the global scrollkeeper database.
gnome2_scrollkeeper_update() {
- if [[ -x ${SCROLLKEEPER_UPDATE_BIN} ]]; then
+ if [[ -x "${SCROLLKEEPER_UPDATE_BIN}" ]]; then
einfo "Updating scrollkeeper database ..."
- ${SCROLLKEEPER_UPDATE_BIN} -q -p ${SCROLLKEEPER_DIR}
+ "${SCROLLKEEPER_UPDATE_BIN}" -q -p "${SCROLLKEEPER_DIR}"
fi
}
-
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index f4ec61d..6dae2ca 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -37,7 +37,7 @@ fi
gnome2_src_unpack() {
unpack ${A}
- cd ${S}
+ cd "${S}"
# Prevent scrollkeeper access violations
gnome2_omf_fix
@@ -82,7 +82,7 @@ gnome2_src_install() {
if [[ -z "${USE_EINSTALL}" || "${USE_EINSTALL}" = "0" ]]; then
debug-print "Installing with 'make install'"
- make DESTDIR=${D} "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" install || die "install failed"
+ emake DESTDIR="${D}" "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" install || die "install failed"
else
debug-print "Installing with 'einstall'"
einstall "scrollkeeper_localstate_dir=${D}${sk_tmp_dir} " "$@" || die "einstall failed"
@@ -97,7 +97,7 @@ gnome2_src_install() {
# 1. The scrollkeeper database is regenerated at pkg_postinst()
# 2. ${D}/var/lib/scrollkeeper contains only indexes for the current pkg
# thus it makes no sense if pkg_postinst ISN'T run for some reason.
- if [[ -z "$(find ${D} -name '*.omf')" ]]; then
+ if [[ -z "$(find "${D}" -name '*.omf')" ]]; then
export SCROLLKEEPER_UPDATE="0"
fi
rm -rf "${D}${sk_tmp_dir}"
@@ -121,9 +121,9 @@ gnome2_pkg_postinst() {
fi
}
-gnome2_pkg_prerm() {
- gnome2_gconf_uninstall
-}
+#gnome2_pkg_prerm() {
+# gnome2_gconf_uninstall
+#}
gnome2_pkg_postrm() {
fdo-mime_desktop_database_update
@@ -135,4 +135,5 @@ gnome2_pkg_postrm() {
fi
}
-EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_preinst pkg_postinst pkg_prerm pkg_postrm
+# pkg_prerm
+EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_preinst pkg_postinst pkg_postrm